Lucene search
+L

20765 matches found

NVD
NVD
•added 2020/04/01 10:15 p.m.•32 views

CVE-2020-6096

An exploitable signed comparison vulnerability exists in the ARMv7 memcpy implementation of GNU glibc 2.30.9000. Calling memcpy on ARMv7 targets that utilize the GNU glibc implementation with a negative value for the 'num' parameter results in a signed comparison vulnerability. If an attacker...

8.1CVSS8.2AI score0.05477EPSS
SaveExploits0References8
RedhatCVE
RedhatCVE
•added 2020/04/01 2:05 p.m.•40 views

CVE-2018-9996

An issue was discovered in cplus-dem.c in GNU libiberty, as distributed in GNU Binutils 2.30. Stack Exhaustion occurs in the C++ demangling functions provided by libiberty, and there are recursive stack frames: demangletemplatevalueparm, demangleintegralvalue, and demangleexpression...

5.5CVSS3.9AI score0.01261EPSS
SaveExploits1References1
Positive Technologies
Positive Technologies
•added 2020/04/01 12:00 a.m.•5 views

PT-2020-3258

Name of the Vulnerable Software and Affected Versions GNU glibc version 2.30.9000 Description An exploitable signed comparison vulnerability exists in the ARMv7 memcpy implementation. Calling memcpy with a negative value for the num parameter results in a signed comparison vulnerability,...

8.1CVSS0.05477EPSS
SaveExploits0References86
Debian CVE
Debian CVE
•added 2020/04/01 12:00 a.m.•60 views

CVE-2020-6096

An exploitable signed comparison vulnerability exists in the ARMv7 memcpy implementation of GNU glibc 2.30.9000. Calling memcpy on ARMv7 targets that utilize the GNU glibc implementation with a negative value for the 'num' parameter results in a signed comparison vulnerability. If an attacker...

8.1CVSS7.8AI score0.05477EPSS
SaveExploits0
OpenVAS
OpenVAS
•added 2020/04/01 12:00 a.m.•43 views

Huawei EulerOS: Security Advisory for binutils (EulerOS-SA-2020-1363)

The remote host is missing an update for the Huawei EulerOS SPDX-FileCopyrightText: 2020 Greenbone AG Some text descriptions might be excerpted from a referenced sources, and are Copyright C by the respective right holders. SPDX-License-Identifier: GPL-2.0-only ifdescription...

7.8CVSS7.2AI score0.04004EPSS
SaveExploits7References2
CVE
CVE
•added 2020/04/01 12:00 a.m.•240 views

CVE-2020-6096

The CVE-2020-6096 entry is supported by connected sources: the glitch is in ARMv7 memcpy() within GNU glibc (version 2.30.9000 in the description) where underflowing the third parameter num can cause a signed-compare bug, potentially writing out of bounds and enabling remote code execution. Debia...

8.1CVSS8AI score0.05477EPSS
SaveExploits0References8Affected Software1
Cvelist
Cvelist
•added 2020/04/01 12:00 a.m.•62 views

CVE-2020-6096

An exploitable signed comparison vulnerability exists in the ARMv7 memcpy implementation of GNU glibc 2.30.9000. Calling memcpy on ARMv7 targets that utilize the GNU glibc implementation with a negative value for the 'num' parameter results in a signed comparison vulnerability. If an attacker...

8.1CVSS8.1AI score0.05477EPSS
SaveExploits0References7
Mend
Mend
•added 2020/04/01 12:00 a.m.•7 views

CVE-2020-6096

An exploitable signed comparison vulnerability exists in the ARMv7 memcpy implementation of GNU glibc 2.30.9000. Calling memcpy on ARMv7 targets that utilize the GNU glibc implementation with a negative value for the 'num' parameter results in a signed comparison vulnerability. If an attacker...

9.2CVSS0.05477EPSS
SaveExploits0References12
Rapid7 Vulnerability Database (full)
Rapid7 Vulnerability Database (full)
•added 2020/04/01 12:00 a.m.•5 views

CVE-2020-6096: Signed to Unsigned Conversion Error

An exploitable signed comparison vulnerability exists in the ARMv7 memcpy implementation of GNU glibc 2.30.9000. Calling memcpy on ARMv7 targets that utilize the GNU glibc implementation with a negative value for the 'num' parameter results in a signed comparison vulnerability. If an attacker...

8.1CVSS7.9AI score0.05477EPSS
SaveExploits0References12
OpenVAS
OpenVAS
•added 2020/04/01 12:00 a.m.•41 views

Huawei EulerOS: Security Advisory for libidn2 (EulerOS-SA-2020-1338)

The remote host is missing an update for the Huawei EulerOS SPDX-FileCopyrightText: 2020 Greenbone AG Some text descriptions might be excerpted from a referenced sources, and are Copyright C by the respective right holders. SPDX-License-Identifier: GPL-2.0-only ifdescription...

7.5CVSS7.1AI score0.03225EPSS
SaveExploits0References2
RedhatCVE
RedhatCVE
•added 2020/03/31 8:06 a.m.•53 views

CVE-2018-12886

stackprotectprologue in cfgexpand.c and stackprotectepilogue in function.c in GNU Compiler Collection GCC 4.1 through 8 under certain circumstances generate instruction sequences when targeting ARM targets that spill the address of the stack protector guard, which allows an attacker to bypass the...

8.1CVSS4.5AI score0.02738EPSS
SaveExploits1References3
Tenable Nessus
Tenable Nessus
•added 2020/03/31 12:00 a.m.•49 views

GLSA-202003-63 : GNU IDN Library 2: Multiple vulnerabilities

The remote host is affected by the vulnerability described in GLSA-202003-63 GNU IDN Library 2: Multiple vulnerabilities Multiple vulnerabilities have been discovered in GNU IDN Library 2. Please review the CVE identifiers referenced below for details. Impact : A remote attacker could send...

9.8CVSS7.3AI score0.03708EPSS
SaveExploits1References3
Tenable Nessus
Tenable Nessus
•added 2020/03/31 12:00 a.m.•25 views

GLSA-202003-62 : GNU Screen: Buffer overflow

The remote host is affected by the vulnerability described in GLSA-202003-62 GNU Screen: Buffer overflow A buffer overflow was found in the way GNU Screen treated the special escape OSC 49. Impact : A remote attacker, by writing a specially crafted string of characters to a GNU Screen window, cou...

9.8CVSS8.4AI score0.02706EPSS
SaveExploits0References2
RedhatCVE
RedhatCVE
•added 2020/03/30 6:31 p.m.•56 views

CVE-2019-20633

GNU patch through 2.7.6 contains a freeplinepend Double Free vulnerability in the function anotherhunk in pch.c that can cause a denial of service via a crafted patch file. NOTE: this issue exists because of an incomplete fix for CVE-2018-6952...

7.5CVSS6.5AI score0.0819EPSS
SaveExploits1References3
RedhatCVE
RedhatCVE
•added 2020/03/30 8:07 a.m.•60 views

CVE-2018-18700

An issue was discovered in cp-demangle.c in GNU libiberty, as distributed in GNU Binutils 2.31. There is a stack consumption vulnerability resulting from infinite recursion in the functions dname, dencoding, and dlocalname in cp-demangle.c. Remote attackers could leverage this vulnerability to...

5.5CVSS5.1AI score0.01686EPSS
SaveExploits1References2
Gentoo Linux
Gentoo Linux
•added 2020/03/30 12:00 a.m.•68 views

GNU IDN Library 2: Multiple vulnerabilities

Background GNU IDN Library 2 is an implementation of the IDNA2008 + TR46 specifications RFC 5890, RFC 5891, RFC 5892, RFC 5893, TR 46. Description Multiple vulnerabilities have been discovered in GNU IDN Library 2. Please review the CVE identifiers referenced below for details. Impact A remote...

9.8CVSS7.6AI score0.03708EPSS
SaveExploits1
Gentoo Linux
Gentoo Linux
•added 2020/03/30 12:00 a.m.•69 views

GNU Screen: Buffer overflow

Background GNU Screen is a full-screen window manager that multiplexes a physical terminal between several processes, typically interactive shells. Description A buffer overflow was found in the way GNU Screen treated the special escape OSC 49. Impact A remote attacker, by writing a specially...

9.8CVSS4.9AI score0.02706EPSS
SaveExploits0
OpenVAS
OpenVAS
•added 2020/03/30 12:00 a.m.•47 views

openSUSE: Security Advisory for python-mysql-connector-python (openSUSE-SU-2020:0409-1)

The remote host is missing an update for the Copyright C 2020 Greenbone Networks GmbH Some text descriptions might be excerpted from a referenced sources, and are Copyright C by the respective right holders. SPDX-License-Identifier: GPL-2.0-or-later This program is free software; you can...

8.1CVSS8.1AI score0.02527EPSS
SaveExploits0References2
RedhatCVE
RedhatCVE
•added 2020/03/29 1:58 p.m.•60 views

CVE-2018-20657

The demangletemplate function in cplus-dem.c in GNU libiberty, as distributed in GNU Binutils 2.31.1, has a memory leak via a crafted string, leading to a denial of service memory consumption, as demonstrated by cxxfilt, a related issue to CVE-2018-12698...

7.5CVSS3.5AI score0.06203EPSS
SaveExploits2References2
RedhatCVE
RedhatCVE
•added 2020/03/28 1:58 p.m.•50 views

CVE-2018-18605

A heap-based buffer over-read issue was discovered in the function secmergehashlookup in merge.c in the Binary File Descriptor BFD library aka libbfd, as distributed in GNU Binutils 2.31, because bfdaddmergesection mishandles section merges when size is not a multiple of entsize. A specially...

5.5CVSS5.1AI score0.0232EPSS
SaveExploits1References2
Rows per page
Query Builder